import React from 'react';
import { ViewProps, TouchableOpacityProps } from 'react-native';
import * as Progress from 'react-native-progress';
import type { IconProps } from 'react-native-vector-icons/Icon';
declare type Variant = 'normal' | 'compact';
interface NativeCircularStatusProps extends TouchableOpacityProps {
    readonly progress: number;
    readonly iconPause?: string;
    readonly iconPlay?: string;
    readonly paused?: boolean;
    renderContent?: (progress: number, paused: boolean) => React.ReactNode;
    readonly variant?: Variant;
    readonly animated?: boolean;
    readonly color?: string;
    readonly placeholderColor?: string;
    onPause?: () => void;
    onPlay?: () => void;
    onStatusChanged?: (paused: boolean) => void;
    readonly thinking?: boolean;
    readonly contentProps?: ViewProps;
    readonly iconProps?: Partial<IconProps>;
    readonly placeholderProps?: ViewProps;
    readonly progressProps?: Progress.CirclePropTypes;
}
declare const NativeCircularStatus: ({ progress, iconPause, iconPlay, paused, renderContent, variant, animated, color, placeholderColor, onPause, onPlay, onStatusChanged, thinking, disabled, contentProps, iconProps, placeholderProps, progressProps, ...containerProps }: NativeCircularStatusProps) => JSX.Element;
export default NativeCircularStatus;
